package com.ademicon.controller;

import java.util.List;

import javax.ws.rs.Consumes;
import javax.ws.rs.GET;
import javax.ws.rs.Path;
import javax.ws.rs.PathParam;
import javax.ws.rs.Produces;
import javax.ws.rs.core.MediaType;

import com.ademicon.model.MunicipioModel;
import com.ademicon.service.MunicipioService;

@Path("/municipio")
public class MunicipioController {

    private static MunicipioService municipioService = new MunicipioService();

    @GET
    @Path("/{uf}")
    @Consumes(MediaType.APPLICATION_JSON)
    @Produces(MediaType.APPLICATION_JSON)
    public List<MunicipioModel> doGet(@PathParam(value = "uf") String uf) throws Exception {

        return municipioService.list(uf);

    }

}
